Bug 240641 - Marble crashes when unrecognized ServerLayout is used
Summary: Marble crashes when unrecognized ServerLayout is used
Status: RESOLVED WORKSFORME
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: HI crash (vote)
Target Milestone: some future version
Assignee: marble-bugs
URL:
Keywords:
: 252561 255681 280902 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-06-03 20:15 UTC by Sylvain Paré
Modified: 2021-01-03 04:34 UTC (History)
9 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sylvain Paré 2010-06-03 20:15:17 UTC
Application: marble (0.9.3)
KDE Platform Version: 4.4.4 (KDE 4.4.4)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-22-generic x86_64
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
I installed custom maps from  shentey's gitorious but when I unroll the toolbox to show maps then marble crash when I move the mouse after the toolboox have been expended.
Marble's version 0.9.3 : 4:4.4.4-0ubuntu1~lucid1~ppa1

The crash can be reproduced every time.

 -- Backtrace:
Application: Globe de bureau Marble (marble), signal: Floating point exception
[Current thread is 1 (Thread 0x7f71b03fb760 (LWP 4051))]

Thread 4 (Thread 0x7f719df61710 (LWP 4052)):
#0  0x00007f71aca663f5 in __pthread_mutex_lock (mutex=0x1301cf8) at pthread_mutex_lock.c:61
#1  0x00007f71a8588ee3 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#2  0x00007f71a8589318 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007f71a85898fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00007f71ae6b4566 in QEventDispatcherGlib::processEvents (this=0x12f8ce0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#5  0x00007f71ae689992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f71ae689d6c in QEventLoop::exec (this=0x7f719df60db0, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f71ae593d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f71ae66a178 in QInotifyFileSystemWatcherEngine::run (this=0x12f8de0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f71ae596775 in QThreadPrivate::start (arg=0x12f8de0) at thread/qthread_unix.cpp:248
#10 0x00007f71aca639ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007f71acfa86cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f7197fff710 (LWP 4058)):
#0  0x00007f71aca663f5 in __pthread_mutex_lock (mutex=0x1cc38e8) at pthread_mutex_lock.c:61
#1  0x00007f71a85898e4 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#2  0x00007f71ae6b4566 in QEventDispatcherGlib::processEvents (this=0x142eb20, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#3  0x00007f71ae689992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#4  0x00007f71ae689d6c in QEventLoop::exec (this=0x7f7197ffed90, flags=) at kernel/qeventloop.cpp:201
#5  0x00007f71ae593d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#6  0x00007f71afac1b78 in Marble::FileStorageWatcher::run (this=0x126c610) at ../../../../marble/src/lib/FileStorageWatcher.cpp:400
#7  0x00007f71ae596775 in QThreadPrivate::start (arg=0x126c610) at thread/qthread_unix.cpp:248
#8  0x00007f71aca639ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f71acfa86cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f71977fe710 (LWP 4059)):
#0  0x00007f71acf9bf53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f71a85894a9 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f71a85898fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f71ae6b4566 in QEventDispatcherGlib::processEvents (this=0x1f03320, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f71ae689992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f71ae689d6c in QEventLoop::exec (this=0x7f71977fddb0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f71ae593d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f71ae66a178 in QInotifyFileSystemWatcherEngine::run (this=0x1765d80) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f71ae596775 in QThreadPrivate::start (arg=0x1765d80) at thread/qthread_unix.cpp:248
#9  0x00007f71aca639ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f71acfa86cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f71b03fb760 (LWP 4051)):
[KCrash Handler]
#5  Marble::AbstractScanlineTextureMapper::nextTile (this=0x1564450, posX=@0x7ffff41ca088, posY=@0x7ffff41ca080) at ../../../../marble/src/lib/AbstractScanlineTextureMapper.cpp:529
#6  0x00007f71afab7f80 in Marble::AbstractScanlineTextureMapper::pixelValueF (this=0x1564450, lon=<value optimized out>, lat=<value optimized out>, scanLine=0x38e94d0)
    at ../../../../marble/src/lib/AbstractScanlineTextureMapper.cpp:192
#7  0x00007f71afab95e1 in Marble::SphericalScanlineTextureMapper::mapTexture (this=0x1564450, viewParams=<value optimized out>) at ../../../../marble/src/lib/SphericalScanlineTextureMapper.cpp:201
#8  0x00007f71afa42f1e in Marble::MarbleModel::paintGlobe (this=0x11aaeb0, painter=<value optimized out>, width=<value optimized out>, height=760, viewParams=0x1123400, redrawBackground=true, 
    dirtyRect=...) at ../../../../marble/src/lib/MarbleModel.cpp:577
#9  0x00007f71afa4ad46 in Marble::MarbleMapPrivate::paintGround (this=0x11233e0, painter=..., dirtyRect=<value optimized out>) at ../../../../marble/src/lib/MarbleMap.cpp:287
#10 0x00007f71afa3b09d in Marble::MarbleWidget::paintEvent (this=0x1036ce0, evt=<value optimized out>) at ../../../../marble/src/lib/MarbleWidget.cpp:867
#11 0x00007f71ada9a162 in QWidget::event (this=0x1036ce0, event=0x7ffff41cade0) at kernel/qwidget.cpp:8144
#12 0x00007f71ada4422c in QApplicationPrivate::notify_helper (this=0xf26d40, receiver=0x1036ce0, e=0x7ffff41cade0) at kernel/qapplication.cpp:4300
#13 0x00007f71ada4a6fb in QApplication::notify (this=0x7ffff41cde40, receiver=0x1036ce0, e=0x7ffff41cade0) at kernel/qapplication.cpp:4183
#14 0x00007f71af073606 in KApplication::notify (this=0x7ffff41cde40, receiver=0x1036ce0, event=0x7ffff41cade0) at ../../kdeui/kernel/kapplication.cpp:302
#15 0x00007f71ae68b06c in QCoreApplication::notifyInternal (this=0x7ffff41cde40, receiver=0x1036ce0, event=0x7ffff41cade0) at kernel/qcoreapplication.cpp:704
#16 0x00007f71adaa27dd in QCoreApplication::sendSpontaneousEvent (this=0x11aa180, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x1364340) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#17 QWidgetPrivate::drawWidget (this=0x11aa180, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x1364340)
    at kernel/qwidget.cpp:5339
#18 0x00007f71adc5c866 in QWidgetBackingStore::sync (this=0x1364340) at painting/qbackingstore.cpp:1283
#19 0x00007f71ada93b60 in QWidgetPrivate::syncBackingStore (this=0xfc1a70) at kernel/qwidget.cpp:1672
#20 0x00007f71ada9a865 in QWidget::event (this=0xfc1860, event=0x7ffff41cbc70) at kernel/qwidget.cpp:8291
#21 0x00007f71ade5ccab in QMainWindow::event (this=0xfc1860, event=0x7ffff41cbc70) at widgets/qmainwindow.cpp:1433
#22 0x00007f71af18aa03 in KXmlGuiWindow::event (this=0x11ac510, ev=0x7ffff41ca088) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:131
#23 0x00007f71ada4422c in QApplicationPrivate::notify_helper (this=0xf26d40, receiver=0xfc1860, e=0x7ffff41cbc70) at kernel/qapplication.cpp:4300
#24 0x00007f71ada4a6fb in QApplication::notify (this=0x7ffff41cde40, receiver=0xfc1860, e=0x7ffff41cbc70) at kernel/qapplication.cpp:4183
#25 0x00007f71af073606 in KApplication::notify (this=0x7ffff41cde40, receiver=0xfc1860, event=0x7ffff41cbc70) at ../../kdeui/kernel/kapplication.cpp:302
#26 0x00007f71ae68b06c in QCoreApplication::notifyInternal (this=0x7ffff41cde40, receiver=0xfc1860, event=0x7ffff41cbc70) at kernel/qcoreapplication.cpp:704
#27 0x00007f71adc59c47 in QCoreApplication::sendEvent (widget=0xfc1860, updateImmediately=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#28 sendUpdateRequest (widget=0xfc1860, updateImmediately=<value optimized out>) at painting/qbackingstore.cpp:503
#29 0x00007f71adc5d0c6 in QWidgetBackingStore::markDirty (this=0x1364340, rect=..., widget=0x1036ce0, updateImmediately=true, invalidateBuffer=2) at painting/qbackingstore.cpp:667
#30 0x00007f71ada9648b in QWidget::repaint (this=0x1036ce0, rect=...) at kernel/qwidget.cpp:10034
#31 0x00007f71ada96553 in QWidget::repaint (this=0x11ac510) at kernel/qwidget.cpp:9990
#32 0x00007f71afa3da9a in Marble::MarbleWidget::setMapThemeId (this=0x1036ce0, mapThemeId=...) at ../../../../marble/src/lib/MarbleWidget.cpp:934
#33 0x00007f71afa40382 in Marble::MarbleWidget::qt_metacall (this=0x1036ce0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff41cbfa0) at ./MarbleWidget.moc:297
#34 0x00007f71ae69de3f in QMetaObject::activate (sender=0xfccd70, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3293
#35 0x00007f71afa4d025 in Marble::MarbleControlBox::selectMapTheme (this=0x11ac510, _t1=<value optimized out>) at ./MarbleControlBox.moc:235
#36 0x00007f71afa503a7 in Marble::MarbleControlBox::qt_metacall (this=0xfccd70, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff41cc0f0) at ./MarbleControlBox.moc:142
#37 0x00007f71ae69de3f in QMetaObject::activate (sender=0x1131b80, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3293
#38 0x00007f71afa5b1a2 in Marble::MarbleThemeSelectView::selectMapTheme (this=0x11ac510, _t1=<value optimized out>) at ./MarbleThemeSelectView.moc:90
#39 0x00007f71afa5b361 in Marble::MarbleThemeSelectView::selectedMapTheme (this=0x1131b80, index=<value optimized out>) at ../../../../marble/src/lib/MarbleThemeSelectView.cpp:57
#40 0x00007f71afa5b56a in Marble::MarbleThemeSelectView::qt_metacall (this=0x1131b80, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff41cc2f0) at ./MarbleThemeSelectView.moc:78
#41 0x00007f71ae69de3f in QMetaObject::activate (sender=0x1131b80, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3293
#42 0x00007f71adf60972 in QAbstractItemView::pressed (this=0x11ac510, _t1=<value optimized out>) at .moc/release-shared/moc_qabstractitemview.cpp:324
#43 0x00007f71adf6c232 in QAbstractItemView::mousePressEvent (this=0x1131b80, event=<value optimized out>) at itemviews/qabstractitemview.cpp:1659
#44 0x00007f71ada9a569 in QWidget::event (this=0x1131b80, event=0x7ffff41cd140) at kernel/qwidget.cpp:7994
#45 0x00007f71ade414e6 in QFrame::event (this=0x1131b80, e=0x7ffff41cd140) at widgets/qframe.cpp:557
#46 0x00007f71adf7026b in QAbstractItemView::viewportEvent (this=0x1131b80, event=0x7ffff41cd140) at itemviews/qabstractitemview.cpp:1610
#47 0x00007f71ae68a487 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x1131ff0, event=0x7ffff41cd140) at kernel/qcoreapplication.cpp:819
#48 0x00007f71ada441fc in QApplicationPrivate::notify_helper (this=0xf26d40, receiver=0x1131ff0, e=0x7ffff41cd140) at kernel/qapplication.cpp:4296
#49 0x00007f71ada4aecb in QApplication::notify (this=0x7ffff41cde40, receiver=0x1131ff0, e=0x7ffff41cd140) at kernel/qapplication.cpp:3865
#50 0x00007f71af073606 in KApplication::notify (this=0x7ffff41cde40, receiver=0x1131ff0, event=0x7ffff41cd140) at ../../kdeui/kernel/kapplication.cpp:302
#51 0x00007f71ae68b06c in QCoreApplication::notifyInternal (this=0x7ffff41cde40, receiver=0x1131ff0, event=0x7ffff41cd140) at kernel/qcoreapplication.cpp:704
#52 0x00007f71ada4a0ae in QCoreApplication::sendEvent (receiver=0x1131ff0, event=0x7ffff41cd140, alienWidget=0x1131ff0, nativeWidget=0xfc1860, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#53 QApplicationPrivate::sendMouseEvent (receiver=0x1131ff0, event=0x7ffff41cd140, alienWidget=0x1131ff0, nativeWidget=0xfc1860, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:2965
#54 0x00007f71adac9f65 in QETWidget::translateMouseEvent (this=0xfc1860, event=<value optimized out>) at kernel/qapplication_x11.cpp:4368
#55 0x00007f71adac88ac in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7ffff41cda60) at kernel/qapplication_x11.cpp:3501
#56 0x00007f71adaf4882 in x11EventSourceDispatch (s=0xf257e0, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#57 0x00007f71a85858c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#58 0x00007f71a8589748 in ?? () from /lib/libglib-2.0.so.0
#59 0x00007f71a85898fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#60 0x00007f71ae6b4513 in QEventDispatcherGlib::processEvents (this=0xf0eae0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#61 0x00007f71adaf446e in QGuiEventDispatcherGlib::processEvents (this=0x11ac510, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#62 0x00007f71ae689992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#63 0x00007f71ae689d6c in QEventLoop::exec (this=0x7ffff41cdd90, flags=) at kernel/qeventloop.cpp:201
#64 0x00007f71ae68daab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#65 0x0000000000416ea5 in main (argc=<value optimized out>, argv=<value optimized out>) at ../../../marble/src/kdemain.cpp:293

Possible duplicates by query: bug 235364.

Reported using DrKonqi
Comment 1 Sylvain Paré 2010-06-03 20:21:46 UTC
ok sorry but I messed my description...
What I have describle occured only after I had unset  QT_FATAL_WARNINGS and launch marble in that consol.
When I launch it normaly it crash only when I select VE map and YS map.
Plus I f I remove thos both directory then marble works well again.
Comment 2 jensmh 2010-06-03 20:27:39 UTC
1) Could you try out marble svn trunk and see if the crash persists?
2) Please run "marble -debug-info" from a console and paste the ouput here

Thanks for reporting.
Comment 3 Sylvain Paré 2010-06-03 22:59:46 UTC
here is the debug output of charging VE map
:~$ marble -debug-info
loadMapTheme "earth/bluemarble/bluemarble.dgml" 
DgmlBlendingTagHandler::parse "CloudsBlending" 
loadMapTheme "earth/citylights/citylights.dgml" 
loadMapTheme "earth/googlemaps/googlemaps.dgml" 
added download policy ("khm.google.de") 1 1 
added download policy ("khm.google.de") 0 1 
added download policy ("khm.google.com") 1 1 
added download policy ("khm.google.com") 0 1 
loadMapTheme "earth/googlesat/googlesat.dgml" 
DgmlBlendingTagHandler::parse "ScreenBlending" 
loadMapTheme "earth/openstreetmap/openstreetmap.dgml" 
added download policy ("a.tile.openstreetmap.org", "b.tile.openstreetmap.org", "c.tile.openstreetmap.org") 1 20 
added download policy ("a.tile.openstreetmap.org", "b.tile.openstreetmap.org", "c.tile.openstreetmap.org") 0 2 
loadMapTheme "earth/plain/plain.dgml" 
loadMapTheme "earth/precip-dec/precip-dec.dgml" 
loadMapTheme "earth/precip-july/precip-july.dgml" 
loadMapTheme "earth/schagen1689/schagen1689.dgml" 
loadMapTheme "earth/srtm/srtm.dgml" 
loadMapTheme "earth/temp-dec/temp-dec.dgml" 
loadMapTheme "earth/temp-july/temp-july.dgml" 
loadMapTheme "earth/virtualearth/virtualearth.dgml" 
added download policy ("a0.ortho.tiles.virtualearth.net", "a1.ortho.tiles.virtualearth.net", "a2.ortho.tiles.virtualearth.net", "a3.ortho.tiles.virtualearth.net") 1 20 
added download policy ("a0.ortho.tiles.virtualearth.net", "a1.ortho.tiles.virtualearth.net", "a2.ortho.tiles.virtualearth.net", "a3.ortho.tiles.virtualearth.net") 0 2 
loadMapTheme "earth/yahoosat/yahoosat.dgml" 
loadMapTheme "moon/clementine/clementine.dgml" 
StackedTileLoader::updateTextureLayers "earth/bluemarble" 
StackedTileLoader::updateTextureLayers added texture layer: 21580805 "earth/bluemarble" 
StackedTileLoader::updateTextureLayers added texture layer: 152198867 "earth/clouds" 
StackedTileLoader::updateTextureLayers "earth/citylights" 
StackedTileLoader::updateTextureLayers added texture layer: 224263347 "earth/citylights" 
StackedTileLoader::updateTextureLayers "earth/googlemaps" 
StackedTileLoader::updateTextureLayers added texture layer: 190682803 "earth/googlemaps" 
StackedTileLoader::updateTextureLayers added texture layer: 98134530 "earth/googlemaps2" 
StackedTileLoader::updateTextureLayers "earth/googlesat" 
StackedTileLoader::updateTextureLayers added texture layer: 112579428 "earth/googlesat" 
StackedTileLoader::updateTextureLayers added texture layer: 18770163 "earth/googlesat-streets" 
StackedTileLoader::updateTextureLayers "earth/openstreetmap" 
StackedTileLoader::updateTextureLayers added texture layer: 172664864 "earth/openstreetmap" 
StackedTileLoader::updateTextureLayers "earth/plain"                                                                                                                                                       
ignoring, has no GeoSceneLayer for "plain"                                                                                                                                                                 
StackedTileLoader::updateTextureLayers "earth/precip-dec"                                                                                                                                                  
StackedTileLoader::updateTextureLayers added texture layer: 259336627 "earth/precip-dec"                                                                                                                   
StackedTileLoader::updateTextureLayers "earth/precip-july"                                                                                                                                                 
StackedTileLoader::updateTextureLayers added texture layer: 123022809 "earth/precip-july"                                                                                                                  
StackedTileLoader::updateTextureLayers "earth/schagen1689"                                                                                                                                                 
StackedTileLoader::updateTextureLayers added texture layer: 184308729 "earth/schagen1689"                                                                                                                  
StackedTileLoader::updateTextureLayers "earth/srtm"                                                                                                                                                        
StackedTileLoader::updateTextureLayers added texture layer: 180082829 "earth/srtm"                                                                                                                         
StackedTileLoader::updateTextureLayers "earth/temp-dec"                                                                                                                                                    
StackedTileLoader::updateTextureLayers added texture layer: 225856787 "earth/temp-dec"                                                                                                                     
StackedTileLoader::updateTextureLayers "earth/temp-july"                                                                                                                                                   
StackedTileLoader::updateTextureLayers added texture layer: 124216217 "earth/temp-july"                                                                                                                    
StackedTileLoader::updateTextureLayers "earth/virtualearth"                                                                                                                                                
StackedTileLoader::updateTextureLayers added texture layer: 57201704 "earth/virtualearth"                                                                                                                  
StackedTileLoader::updateTextureLayers "earth/yahoosat" 
StackedTileLoader::updateTextureLayers added texture layer: 113450628 "earth/yahoosat" 
StackedTileLoader::updateTextureLayers "moon/clementine" 
StackedTileLoader::updateTextureLayers added texture layer: 263109957 "moon/clementine" 
Use workaround:  0 
Starting to load Plugins. 
=== MarbleDirs: === 
Local Path: "/home/sylvain/.local/share/marble" 
Plugin Local Path: "/home/sylvain/.marble/plugins" 
 
Marble Data Path (Run Time) : "" 
Marble Data Path (Compile Time): "/usr/local/share/apps/marble/data" 
 
Marble Plugin Path (Run Time) : "" 
Marble Plugin Path (Compile Time): "/usr/local/lib/kde4/plugins/marble" 
 
System Path: "/usr/local/share/apps/marble/data" 
Plugin System Path: "/usr/local/lib/kde4/plugins/marble" 
=================== 
render plugin found "/usr/local/lib/kde4/plugins/marble/AprsPlugin.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/CompassFloatItem.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/CrosshairsPlugin.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/GeoRendererPlugin.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/GraticulePlugin.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/MapScaleFloatItem.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/NavigationFloatItem.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/OverviewMap.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/Photo.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/ProgressFloatItem.so" 
network plugin found "/usr/local/lib/kde4/plugins/marble/QNamNetworkPlugin.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/StarsPlugin.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/Weather.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/Wikipedia.so" 
Time elapsed: 13 ms
Model: Time elapsed: 54 ms
MarbleControlBox (sort): Time elapsed: 0 ms
updateMapThemeModel 
loadMapTheme "earth/bluemarble/bluemarble.dgml" 
DgmlBlendingTagHandler::parse "CloudsBlending" 
loadMapTheme "earth/citylights/citylights.dgml" 
loadMapTheme "earth/googlemaps/googlemaps.dgml" 
added download policy ("khm.google.de") 1 1 
added download policy ("khm.google.de") 0 1 
added download policy ("khm.google.com") 1 1 
added download policy ("khm.google.com") 0 1 
loadMapTheme "earth/googlesat/googlesat.dgml" 
DgmlBlendingTagHandler::parse "ScreenBlending" 
loadMapTheme "earth/openstreetmap/openstreetmap.dgml" 
added download policy ("a.tile.openstreetmap.org", "b.tile.openstreetmap.org", "c.tile.openstreetmap.org") 1 20 
added download policy ("a.tile.openstreetmap.org", "b.tile.openstreetmap.org", "c.tile.openstreetmap.org") 0 2 
loadMapTheme "earth/plain/plain.dgml" 
loadMapTheme "earth/precip-dec/precip-dec.dgml" 
loadMapTheme "earth/precip-july/precip-july.dgml" 
loadMapTheme "earth/schagen1689/schagen1689.dgml" 
loadMapTheme "earth/srtm/srtm.dgml" 
loadMapTheme "earth/temp-dec/temp-dec.dgml" 
loadMapTheme "earth/temp-july/temp-july.dgml" 
loadMapTheme "earth/virtualearth/virtualearth.dgml" 
added download policy ("a0.ortho.tiles.virtualearth.net", "a1.ortho.tiles.virtualearth.net", "a2.ortho.tiles.virtualearth.net", "a3.ortho.tiles.virtualearth.net") 1 20 
added download policy ("a0.ortho.tiles.virtualearth.net", "a1.ortho.tiles.virtualearth.net", "a2.ortho.tiles.virtualearth.net", "a3.ortho.tiles.virtualearth.net") 0 2 
loadMapTheme "earth/yahoosat/yahoosat.dgml" 
loadMapTheme "moon/clementine/clementine.dgml" 
marble(22730)/kdeui (kdelibs): Attempt to use QAction "show_crosshairs" with KXMLGUIFactory! 
No theme yet! 
No theme yet! 
loadMapTheme "earth/openstreetmap/openstreetmap.dgml" 
added download policy ("a.tile.openstreetmap.org", "b.tile.openstreetmap.org", "c.tile.openstreetmap.org") 1 20 
added download policy ("a.tile.openstreetmap.org", "b.tile.openstreetmap.org", "c.tile.openstreetmap.org") 0 2 
DGML2 Name       :  "OpenStreetMap" 
StackedTileLoader::loadTile "172664864:0:0:0" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:0:0:0" 
TileLoader::loadTile "172664864:0:0:0" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
adding container: "cityplacemarks" 
adding container: "baseplacemarks" 
adding container: "elevplacemarks" 
adding container: "otherplacemarks" 
adding container: "boundaryplacemarks" 
Style reset requested. 
THEME CHANGED: *** "earth/openstreetmap/openstreetmap.dgml" 
initTheme 
starting parser for "otherplacemarks" 
"Loading Cache File:/usr/local/share/apps/marble/data/placemarks/otherplacemarks.cache" 
Loading ended true 
placemarksLoaded 
starting parser for "baseplacemarks" 
"Loading Cache File:/usr/local/share/apps/marble/data/placemarks/baseplacemarks.cache" 
Loading ended true 
placemarksLoaded 
starting parser for "cityplacemarks" 
"Loading Cache File:/usr/local/share/apps/marble/data/placemarks/cityplacemarks.cache" 
starting parser for "boundaryplacemarks" 
"Loading Cache File:/usr/local/share/apps/marble/data/placemarks/boundaryplacemarks.cache" 
starting parser for "elevplacemarks" 
"Loading Cache File:/usr/local/share/apps/marble/data/placemarks/elevplacemarks.cache" 
Loading ended true 
placemarksLoaded 
Loading ended true 
placemarksLoaded 
StackedTileLoader::loadTile "172664864:5:15:10" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:5:15:10" 
TileLoader::loadTile "172664864:5:15:10" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
StackedTileLoader::loadTile "172664864:5:16:10" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:5:16:10" 
TileLoader::loadTile "172664864:5:16:10" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
StackedTileLoader::loadTile "172664864:5:17:10" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:5:17:10" 
TileLoader::loadTile "172664864:5:17:10" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
StackedTileLoader::loadTile "172664864:5:15:11" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:5:15:11" 
TileLoader::loadTile "172664864:5:15:11" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
StackedTileLoader::loadTile "172664864:5:17:11" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:5:17:11" 
TileLoader::loadTile "172664864:5:17:11" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
StackedTileLoader::loadTile "172664864:5:16:11" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:5:16:11" 
TileLoader::loadTile "172664864:5:16:11" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
Loading ended true 
placemarksLoaded 
StackedTileLoader::loadTile "172664864:0:0:0" 
StackedTileLoader::loadTile "172664864:5:15:10" 
StackedTileLoader::loadTile "172664864:5:16:10" 
StackedTileLoader::loadTile "172664864:5:17:10" 
StackedTileLoader::loadTile "172664864:5:15:11" 
StackedTileLoader::loadTile "172664864:5:17:11" 
StackedTileLoader::loadTile "172664864:5:16:11" 
GeoSceneSettings: Property  "showClouds" to true 
Style reset requested. 
kiloBytes 307200 
"Setting tile cache to 307200 kilobytes." 
Theme changed to  "earth/openstreetmap/openstreetmap.dgml" 
true 
FileStorageWatcher: Creating cache size 
FileManager::addFile 
PlacemarkManager::addGeoDataDocument: "otherplacemarks"  size  47 
addPlacemarks: Time elapsed: 0 ms for 47 Placemarks. 
FileManager::addFile 
PlacemarkManager::addGeoDataDocument: "baseplacemarks"  size  4 
addPlacemarks: Time elapsed: 1 ms for 4 Placemarks. 
FileManager::addFile 
PlacemarkManager::addGeoDataDocument: "elevplacemarks"  size  13 
addPlacemarks: Time elapsed: 0 ms for 13 Placemarks. 
FileManager::addFile 
PlacemarkManager::addGeoDataDocument: "boundaryplacemarks"  size  255 
addPlacemarks: Time elapsed: 4 ms for 255 Placemarks. 
FileManager::addFile 
PlacemarkManager::addGeoDataDocument: "cityplacemarks"  size  22583 
addPlacemarks: Time elapsed: 454 ms for 22583 Placemarks. 
QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: Aucun fichier ou dossier de ce type
QFileSystemWatcher: failed to add paths: /home/sylvain/.config/ibus/bus
Bus::open: Can not get ibus-daemon's address. 
IBusInputContext::createInputContext: no connection to ibus-daemon 
"earth/virtualearth/virtualearth.dgml" 
loadMapTheme "earth/virtualearth/virtualearth.dgml" 
added download policy ("a0.ortho.tiles.virtualearth.net", "a1.ortho.tiles.virtualearth.net", "a2.ortho.tiles.virtualearth.net", "a3.ortho.tiles.virtualearth.net") 1 20 
added download policy ("a0.ortho.tiles.virtualearth.net", "a1.ortho.tiles.virtualearth.net", "a2.ortho.tiles.virtualearth.net", "a3.ortho.tiles.virtualearth.net") 0 2 
DGML2 Name       :  "Virtual Earth" 
StackedTileLoader::loadTile "57201704:0:0:0" 
StackedTileLoader::loadTile: tile "earth/virtualearth" "57201704:0:0:0" 
addJob: new job queue size: 1 
TileLoader::scaledLowerLevelTile "57201704:0:0:0" 
TileLoader::loadTile "57201704:0:0:0" No tiles found 
ASSERT: "!m_tileSize.isEmpty()" in file /home/sylvain/softs/marble/src/lib/AbstractScanlineTextureMapper.cpp, line 622
KCrash: Application 'marble' crashing...
sock_file=/home/sylvain/.kde/socket-HellBoy/kdeinit4__0
QSocketNotifier: Invalid socket 10 and type 'Read', disabling...
QSocketNotifier: Invalid socket 13 and type 'Read', disabling...
QSocketNotifier: Invalid socket 18 and type 'Read', disabling...
Comment 4 Sylvain Paré 2010-06-03 23:04:18 UTC
and here is the one for YS map
:~$ marble -debug-info
loadMapTheme "earth/bluemarble/bluemarble.dgml" 
DgmlBlendingTagHandler::parse "CloudsBlending" 
loadMapTheme "earth/citylights/citylights.dgml" 
loadMapTheme "earth/googlemaps/googlemaps.dgml" 
added download policy ("khm.google.de") 1 1 
added download policy ("khm.google.de") 0 1 
added download policy ("khm.google.com") 1 1 
added download policy ("khm.google.com") 0 1 
loadMapTheme "earth/googlesat/googlesat.dgml" 
DgmlBlendingTagHandler::parse "ScreenBlending" 
loadMapTheme "earth/openstreetmap/openstreetmap.dgml" 
added download policy ("a.tile.openstreetmap.org", "b.tile.openstreetmap.org", "c.tile.openstreetmap.org") 1 20 
added download policy ("a.tile.openstreetmap.org", "b.tile.openstreetmap.org", "c.tile.openstreetmap.org") 0 2 
loadMapTheme "earth/plain/plain.dgml" 
loadMapTheme "earth/precip-dec/precip-dec.dgml" 
loadMapTheme "earth/precip-july/precip-july.dgml" 
loadMapTheme "earth/schagen1689/schagen1689.dgml" 
loadMapTheme "earth/srtm/srtm.dgml" 
loadMapTheme "earth/temp-dec/temp-dec.dgml" 
loadMapTheme "earth/temp-july/temp-july.dgml" 
loadMapTheme "earth/virtualearth/virtualearth.dgml" 
added download policy ("a0.ortho.tiles.virtualearth.net", "a1.ortho.tiles.virtualearth.net", "a2.ortho.tiles.virtualearth.net", "a3.ortho.tiles.virtualearth.net") 1 20 
added download policy ("a0.ortho.tiles.virtualearth.net", "a1.ortho.tiles.virtualearth.net", "a2.ortho.tiles.virtualearth.net", "a3.ortho.tiles.virtualearth.net") 0 2 
loadMapTheme "earth/yahoosat/yahoosat.dgml" 
loadMapTheme "moon/clementine/clementine.dgml" 
StackedTileLoader::updateTextureLayers "earth/bluemarble" 
StackedTileLoader::updateTextureLayers added texture layer: 21580805 "earth/bluemarble" 
StackedTileLoader::updateTextureLayers added texture layer: 152198867 "earth/clouds" 
StackedTileLoader::updateTextureLayers "earth/citylights" 
StackedTileLoader::updateTextureLayers added texture layer: 224263347 "earth/citylights" 
StackedTileLoader::updateTextureLayers "earth/googlemaps" 
StackedTileLoader::updateTextureLayers added texture layer: 190682803 "earth/googlemaps" 
StackedTileLoader::updateTextureLayers added texture layer: 98134530 "earth/googlemaps2" 
StackedTileLoader::updateTextureLayers "earth/googlesat" 
StackedTileLoader::updateTextureLayers added texture layer: 112579428 "earth/googlesat" 
StackedTileLoader::updateTextureLayers added texture layer: 18770163 "earth/googlesat-streets" 
StackedTileLoader::updateTextureLayers "earth/openstreetmap" 
StackedTileLoader::updateTextureLayers added texture layer: 172664864 "earth/openstreetmap" 
StackedTileLoader::updateTextureLayers "earth/plain"                                                                                                                                                       
ignoring, has no GeoSceneLayer for "plain"                                                                                                                                                                 
StackedTileLoader::updateTextureLayers "earth/precip-dec"                                                                                                                                                  
StackedTileLoader::updateTextureLayers added texture layer: 259336627 "earth/precip-dec"                                                                                                                   
StackedTileLoader::updateTextureLayers "earth/precip-july"                                                                                                                                                 
StackedTileLoader::updateTextureLayers added texture layer: 123022809 "earth/precip-july"                                                                                                                  
StackedTileLoader::updateTextureLayers "earth/schagen1689"                                                                                                                                                 
StackedTileLoader::updateTextureLayers added texture layer: 184308729 "earth/schagen1689"                                                                                                                  
StackedTileLoader::updateTextureLayers "earth/srtm"                                                                                                                                                        
StackedTileLoader::updateTextureLayers added texture layer: 180082829 "earth/srtm"                                                                                                                         
StackedTileLoader::updateTextureLayers "earth/temp-dec"                                                                                                                                                    
StackedTileLoader::updateTextureLayers added texture layer: 225856787 "earth/temp-dec"                                                                                                                     
StackedTileLoader::updateTextureLayers "earth/temp-july"                                                                                                                                                   
StackedTileLoader::updateTextureLayers added texture layer: 124216217 "earth/temp-july"                                                                                                                    
StackedTileLoader::updateTextureLayers "earth/virtualearth"                                                                                                                                                
StackedTileLoader::updateTextureLayers added texture layer: 57201704 "earth/virtualearth"                                                                                                                  
StackedTileLoader::updateTextureLayers "earth/yahoosat" 
StackedTileLoader::updateTextureLayers added texture layer: 113450628 "earth/yahoosat" 
StackedTileLoader::updateTextureLayers "moon/clementine" 
StackedTileLoader::updateTextureLayers added texture layer: 263109957 "moon/clementine" 
Use workaround:  0 
Starting to load Plugins. 
=== MarbleDirs: === 
Local Path: "/home/sylvain/.local/share/marble" 
Plugin Local Path: "/home/sylvain/.marble/plugins" 
 
Marble Data Path (Run Time) : "" 
Marble Data Path (Compile Time): "/usr/local/share/apps/marble/data" 
 
Marble Plugin Path (Run Time) : "" 
Marble Plugin Path (Compile Time): "/usr/local/lib/kde4/plugins/marble" 
 
System Path: "/usr/local/share/apps/marble/data" 
Plugin System Path: "/usr/local/lib/kde4/plugins/marble" 
=================== 
render plugin found "/usr/local/lib/kde4/plugins/marble/AprsPlugin.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/CompassFloatItem.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/CrosshairsPlugin.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/GeoRendererPlugin.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/GraticulePlugin.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/MapScaleFloatItem.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/NavigationFloatItem.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/OverviewMap.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/Photo.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/ProgressFloatItem.so" 
network plugin found "/usr/local/lib/kde4/plugins/marble/QNamNetworkPlugin.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/StarsPlugin.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/Weather.so" 
render plugin found "/usr/local/lib/kde4/plugins/marble/Wikipedia.so" 
Time elapsed: 13 ms
Model: Time elapsed: 55 ms
MarbleControlBox (sort): Time elapsed: 0 ms
updateMapThemeModel 
loadMapTheme "earth/bluemarble/bluemarble.dgml" 
DgmlBlendingTagHandler::parse "CloudsBlending" 
loadMapTheme "earth/citylights/citylights.dgml" 
loadMapTheme "earth/googlemaps/googlemaps.dgml" 
added download policy ("khm.google.de") 1 1 
added download policy ("khm.google.de") 0 1 
added download policy ("khm.google.com") 1 1 
added download policy ("khm.google.com") 0 1 
loadMapTheme "earth/googlesat/googlesat.dgml" 
DgmlBlendingTagHandler::parse "ScreenBlending" 
loadMapTheme "earth/openstreetmap/openstreetmap.dgml" 
added download policy ("a.tile.openstreetmap.org", "b.tile.openstreetmap.org", "c.tile.openstreetmap.org") 1 20 
added download policy ("a.tile.openstreetmap.org", "b.tile.openstreetmap.org", "c.tile.openstreetmap.org") 0 2 
loadMapTheme "earth/plain/plain.dgml" 
loadMapTheme "earth/precip-dec/precip-dec.dgml" 
loadMapTheme "earth/precip-july/precip-july.dgml" 
loadMapTheme "earth/schagen1689/schagen1689.dgml" 
loadMapTheme "earth/srtm/srtm.dgml" 
loadMapTheme "earth/temp-dec/temp-dec.dgml" 
loadMapTheme "earth/temp-july/temp-july.dgml" 
loadMapTheme "earth/virtualearth/virtualearth.dgml" 
added download policy ("a0.ortho.tiles.virtualearth.net", "a1.ortho.tiles.virtualearth.net", "a2.ortho.tiles.virtualearth.net", "a3.ortho.tiles.virtualearth.net") 1 20 
added download policy ("a0.ortho.tiles.virtualearth.net", "a1.ortho.tiles.virtualearth.net", "a2.ortho.tiles.virtualearth.net", "a3.ortho.tiles.virtualearth.net") 0 2 
loadMapTheme "earth/yahoosat/yahoosat.dgml" 
loadMapTheme "moon/clementine/clementine.dgml" 
marble(22857)/kdeui (kdelibs): Attempt to use QAction "show_crosshairs" with KXMLGUIFactory! 
No theme yet! 
No theme yet! 
loadMapTheme "earth/openstreetmap/openstreetmap.dgml" 
added download policy ("a.tile.openstreetmap.org", "b.tile.openstreetmap.org", "c.tile.openstreetmap.org") 1 20 
added download policy ("a.tile.openstreetmap.org", "b.tile.openstreetmap.org", "c.tile.openstreetmap.org") 0 2 
DGML2 Name       :  "OpenStreetMap" 
StackedTileLoader::loadTile "172664864:0:0:0" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:0:0:0" 
TileLoader::loadTile "172664864:0:0:0" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
adding container: "cityplacemarks" 
adding container: "baseplacemarks" 
adding container: "elevplacemarks" 
adding container: "otherplacemarks" 
adding container: "boundaryplacemarks" 
Style reset requested. 
THEME CHANGED: *** "earth/openstreetmap/openstreetmap.dgml" 
initTheme 
starting parser for "boundaryplacemarks" 
"Loading Cache File:/usr/local/share/apps/marble/data/placemarks/boundaryplacemarks.cache" 
Loading ended true 
placemarksLoaded 
starting parser for "elevplacemarks" 
"Loading Cache File:/usr/local/share/apps/marble/data/placemarks/elevplacemarks.cache" 
Loading ended true 
placemarksLoaded 
starting parser for "cityplacemarks" 
"Loading Cache File:/usr/local/share/apps/marble/data/placemarks/cityplacemarks.cache" 
starting parser for "otherplacemarks" 
"Loading Cache File:/usr/local/share/apps/marble/data/placemarks/otherplacemarks.cache" 
Loading ended true 
placemarksLoaded 
starting parser for "baseplacemarks" 
"Loading Cache File:/usr/local/share/apps/marble/data/placemarks/baseplacemarks.cache" 
Loading ended true 
placemarksLoaded 
StackedTileLoader::loadTile "172664864:5:15:10" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:5:15:10" 
TileLoader::loadTile "172664864:5:15:10" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
StackedTileLoader::loadTile "172664864:5:16:10" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:5:16:10" 
TileLoader::loadTile "172664864:5:16:10" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
StackedTileLoader::loadTile "172664864:5:17:10" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:5:17:10" 
TileLoader::loadTile "172664864:5:17:10" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
StackedTileLoader::loadTile "172664864:5:15:11" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:5:15:11" 
TileLoader::loadTile "172664864:5:15:11" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
StackedTileLoader::loadTile "172664864:5:17:11" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:5:17:11" 
TileLoader::loadTile "172664864:5:17:11" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
StackedTileLoader::loadTile "172664864:5:16:11" 
StackedTileLoader::loadTile: tile "earth/openstreetmap" "172664864:5:16:11" 
TileLoader::loadTile "172664864:5:16:11" StateUptodate 
StackedTile::initResultTile: no blending defined => copying top over bottom image 
Loading ended true 
placemarksLoaded 
StackedTileLoader::loadTile "172664864:0:0:0" 
StackedTileLoader::loadTile "172664864:5:15:10" 
StackedTileLoader::loadTile "172664864:5:16:10" 
StackedTileLoader::loadTile "172664864:5:17:10" 
StackedTileLoader::loadTile "172664864:5:15:11" 
StackedTileLoader::loadTile "172664864:5:17:11" 
StackedTileLoader::loadTile "172664864:5:16:11" 
GeoSceneSettings: Property  "showClouds" to true 
Style reset requested. 
kiloBytes 307200 
"Setting tile cache to 307200 kilobytes." 
Theme changed to  "earth/openstreetmap/openstreetmap.dgml" 
true 
FileStorageWatcher: Creating cache size 
FileManager::addFile 
PlacemarkManager::addGeoDataDocument: "boundaryplacemarks"  size  255 
addPlacemarks: Time elapsed: 0 ms for 255 Placemarks. 
FileManager::addFile 
PlacemarkManager::addGeoDataDocument: "elevplacemarks"  size  13 
addPlacemarks: Time elapsed: 3 ms for 13 Placemarks. 
FileManager::addFile 
PlacemarkManager::addGeoDataDocument: "otherplacemarks"  size  47 
addPlacemarks: Time elapsed: 8 ms for 47 Placemarks. 
FileManager::addFile 
PlacemarkManager::addGeoDataDocument: "baseplacemarks"  size  4 
addPlacemarks: Time elapsed: 4 ms for 4 Placemarks. 
FileManager::addFile 
PlacemarkManager::addGeoDataDocument: "cityplacemarks"  size  22583 
addPlacemarks: Time elapsed: 436 ms for 22583 Placemarks. 
QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: Aucun fichier ou dossier de ce type
QFileSystemWatcher: failed to add paths: /home/sylvain/.config/ibus/bus
Bus::open: Can not get ibus-daemon's address. 
IBusInputContext::createInputContext: no connection to ibus-daemon 
"earth/yahoosat/yahoosat.dgml" 
loadMapTheme "earth/yahoosat/yahoosat.dgml" 
DGML2 Name       :  "Yahoo Satellite" 
StackedTileLoader::loadTile "113450628:0:0:0" 
StackedTileLoader::loadTile: tile "earth/yahoosat" "113450628:0:0:0" 
No download policy found for "maps.yimg.com" 1 , using default policy. 
addJob: new job queue size: 1 
TileLoader::scaledLowerLevelTile "113450628:0:0:0" 
TileLoader::loadTile "113450628:0:0:0" No tiles found 
ASSERT: "!m_tileSize.isEmpty()" in file /home/sylvain/softs/marble/src/lib/AbstractScanlineTextureMapper.cpp, line 622
KCrash: Application 'marble' crashing...
sock_file=/home/sylvain/.kde/socket-HellBoy/kdeinit4__0
QSocketNotifier: Invalid socket 10 and type 'Read', disabling...
QSocketNotifier: Invalid socket 11 and type 'Read', disabling...
QSocketNotifier: Invalid socket 18 and type 'Read', disabling...
Comment 5 Dennis Nienhüser 2010-09-27 21:52:24 UTC
*** Bug 252561 has been marked as a duplicate of this bug. ***
Comment 6 Dennis Nienhüser 2010-11-01 10:16:14 UTC
*** Bug 255681 has been marked as a duplicate of this bug. ***
Comment 7 Dennis Nienhüser 2010-11-01 10:17:20 UTC
It would be really great to have somebody track this one down...
Comment 8 Dennis Nienhüser 2011-03-21 04:31:22 UTC
*** Bug 269007 has been marked as a duplicate of this bug. ***
Comment 9 Dennis Nienhüser 2011-04-11 21:57:11 UTC

*** This bug has been marked as a duplicate of bug 265599 ***
Comment 10 Bernhard Beschow 2011-04-14 23:50:49 UTC
Additional ServerLayouts must be implemented to support these map themes.
Comment 11 Bernhard Beschow 2011-05-12 22:10:52 UTC
Git commit 6c6c085e0a2e72eeae58448a13f160e0db6c6246 by Bernhard Beschow.
Committed on 06/04/2010 at 10:42.
Pushed by beschow into branch 'master'.

add support for quad trees

CCBUG: 240641

M  +35   -1    src/lib/ServerLayout.cpp     
M  +13   -1    src/lib/ServerLayout.h     
M  +2    -0    src/lib/geodata/handlers/dgml/DgmlStorageLayoutTagHandler.cpp     

http://commits.kde.org/marble/6c6c085e0a2e72eeae58448a13f160e0db6c6246
Comment 12 Bernhard Beschow 2011-09-03 22:13:32 UTC
*** Bug 280902 has been marked as a duplicate of this bug. ***
Comment 13 Justin Zobel 2020-12-04 05:10:14 UTC
Thank you for the report.

As it has been a while since this was reported, can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved.

I have set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved/worksforme" when you respond, thank you.
Comment 14 Bug Janitor Service 2020-12-19 04:34:35 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 15 Bug Janitor Service 2021-01-03 04:34:05 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!